> ## Documentation Index
> Fetch the complete documentation index at: https://docs.brightdata.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Change zone usage limit

> Use the Bright Data Reseller API to change Zone Usage Limit. PUT /api/{partner}/usage_limit returns a 200 OK JSON response for the requested action.



## OpenAPI

````yaml api-reference/openapi-reseller PUT /api/{PARTNER_NAME}/usage_limit
openapi: 3.0.1
info:
  title: Bright Data API
  description: >-
    Integrate Bright Data APIs to your pipeline and secure high-end scraping
    precision
  version: 1.0.0
servers:
  - url: https://api.brightdata.com
security:
  - bearerAuth: []
paths:
  /api/{PARTNER_NAME}/usage_limit:
    put:
      parameters:
        - in: path
          name: PARTNER_NAME
          description: Name of the proxy zone which will service your request.
          required: true
          schema:
            type: string
        - in: query
          name: id
          description: Valid customer `id`
          required: true
          schema:
            type: string
        - in: query
          name: zone
          description: Name of existing zone
          required: false
          schema:
            type: string
            default: residential
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/Limit'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  unit:
                    type: string
                    description: Limit unit
                    example: bw
                  until:
                    type: string
                    example: '2023-02-14T00:00:00.000Z'
                  start:
                    type: string
                    example: '2022-11-15T00:00:00.000Z'
                  bust_action:
                    type: string
                    example: disable
                  limit:
                    type: integer
                    description: amount of bytes for the new limit
                    example: 5242880000
components:
  schemas:
    Limit:
      required:
        - limit
        - unit
        - period
        - period_mult
      type: object
      properties:
        limit:
          type: integer
          description: amount of bytes for the new limit
          example: 5242880000
        unit:
          type: string
          description: Limit unit
          example: bw
        period:
          type: string
          description: Unit time for (only d is accepted)
          example: d
        period_mult:
          type: number
          description: Days for limit period
          example: 10
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        Use your Bright Data API Key as a Bearer token in the Authorization
        header.


        **How to authenticate:**

        1. Obtain your API Key from the Bright Data account settings at
        https://brightdata.com/cp/setting/users

        2. Include the API Key in the Authorization header of your requests

        3. Format: `Authorization: Bearer YOUR_API_KEY`


        **Example:**

        ```

        Authorization: Bearer
        b5648e1096c6442f60a6c4bbbe73f8d2234d3d8324554bd6a7ec8f3f251f07df

        ```


        Learn how to get your Bright Data API key:
        https://docs.brightdata.com/api-reference/authentication
      bearerFormat: API Key

````